[Libreoffice-commits] buildbot.git: lcov-report/lcov-report.sh
Maarten Hoes
hoes.maarten at gmail.com
Wed Mar 4 03:12:00 PST 2015
lcov-report/lcov-report.sh | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
New commits:
commit 7df6aedeed85fb726bebfac03e95838c80fce98c
Author: Maarten Hoes <hoes.maarten at gmail.com>
Date: Wed Mar 4 11:54:43 2015 +0100
Change report dir to have a fixed name.
Change-Id: I7532f1f532d25cc10c98b7b29fbc52d1ac042ebf
Reviewed-on: https://gerrit.libreoffice.org/14742
Reviewed-by: Caolán McNamara <caolanm at redhat.com>
Tested-by: Caolán McNamara <caolanm at redhat.com>
diff --git a/lcov-report/lcov-report.sh b/lcov-report/lcov-report.sh
index 78f29ec..d23828a 100755
--- a/lcov-report/lcov-report.sh
+++ b/lcov-report/lcov-report.sh
@@ -163,12 +163,12 @@ lcov_tracefile_cleanup()
lcov_mkhtml()
{
- mkdir "${HTML_DIR?}/master~${COMMIT_DATE?}_${COMMIT_TIME?}" || die "Failed to create subdirectory in ${HTML_DIR?}/master~${COMMIT_DATE?}_${COMMIT_TIME?}"
+ mkdir "${HTML_DIR?}/report" || die "Failed to create subdirectory in ${HTML_DIR?}/report"
genhtml --rc geninfo_auto_base=1 --prefix "${SRC_DIR?}" --ignore-errors source "${TRACEFILE_DIR?}/lcov_filtered.info" \
--legend --title "${TEST_NAME?}" --rc genhtml_desc_html=1 \
- --output-directory="${HTML_DIR?}/master~${COMMIT_DATE?}_${COMMIT_TIME?}" --description-file "${TRACEFILE_DIR?}/${DESC_FILE?}" \
- || die "ERROR: Generation of html files in ${HTML_DIR?}/master~${COMMIT_DATE?}_${COMMIT_TIME?} failed."
+ --output-directory="${HTML_DIR?}/report" --description-file "${TRACEFILE_DIR?}/${DESC_FILE?}" \
+ || die "ERROR: Generation of html files in ${HTML_DIR?}/report failed."
}
lcov_get_commit()
More information about the Libreoffice-commits
mailing list